﻿/**Begin D:\PDM_UPGRADE\PDM1\EPA_constraint.sql **/
 EXEC P_ALTERPK 'PK_EPA_ACTEVALOBJ', 'T_EPA_ACTEVALOBJ', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ACTEVALOBJ_ACT') CREATE INDEX IDX_EPA_ACTEVALOBJ_ACT ON T_EPA_ACTEVALOBJ ( FACTIVITYID );


 EXEC P_ALTERPK 'PK_EPA_ACTEVALOBJFLOW', 'T_EPA_ACTEVALOBJFLOW', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ACTEVALOBJFLOW') CREATE INDEX IDX_EPA_ACTEVALOBJFLOW ON T_EPA_ACTEVALOBJFLOW ( FID );


 EXEC P_ALTERPK 'PK_EPA_ACTEVALOBJAREA', 'T_EPA_ACTEVALOBJAREA', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ACTEVALOBJAREA') CREATE INDEX IDX_EPA_ACTEVALOBJAREA ON T_EPA_ACTEVALOBJAREA ( FID );


 EXEC P_ALTERPK 'PK_EPA_ACTEVALOBJ_L', 'T_EPA_ACTEVALOBJ_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_ACTEVALOBJ_L') CREATE INDEX IDX_EPA_ACTEVALOBJ_L ON T_EPA_ACTEVALOBJ_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_OBJGENINDREQ', 'T_EPA_OBJGENINDREQ', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_OBJGENINDREQ') CREATE INDEX IDX_EPA_OBJGENINDREQ ON T_EPA_OBJGENINDREQ ( FID );


 EXEC P_ALTERPK 'PK_EPA_OBJGENAREAINS', 'T_EPA_OBJGENAREAINS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_OBJGENAREAINS') CREATE INDEX IDX_EPA_OBJGENAREAINS ON T_EPA_OBJGENAREAINS ( FCREATORID );


 EXEC P_ALTERPK 'PK_EPA_OBJGENAREAIND', 'T_EPA_OBJGENAREAIND', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_OBJGENAREAIND') CREATE INDEX IDX_EPA_OBJGENAREAIND ON T_EPA_OBJGENAREAIND ( FID );


 EXEC P_ALTERPK 'PK_EPA_OBJGENAREAIND_L', 'T_EPA_OBJGENAREAIND_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_OBJGENAREAIND_L') CREATE INDEX IDX_EPA_OBJGENAREAIND_L ON T_EPA_OBJGENAREAIND_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_OBJADDSUBAREAINS', 'T_EPA_OBJADDSUBAREAINS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_OBJADDSUBAREAINS') CREATE INDEX IDX_EPA_OBJADDSUBAREAINS ON T_EPA_OBJADDSUBAREAINS ( FCREATORID );


 EXEC P_ALTERPK 'PK_EPA_OBJADDSUBAREAIND', 'T_EPA_OBJADDSUBAREAIND', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_OBJADDSUBAREAIND') CREATE INDEX IDX_EPA_OBJADDSUBAREAIND ON T_EPA_OBJADDSUBAREAIND ( FID );


 EXEC P_ALTERPK 'PK_EPA_OBJADDSUBAREAIND_L', 'T_EPA_OBJADDSUBAREAIND_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_OBJADDSUBAREAIND_L') CREATE INDEX IDX_EPA_OBJADDSUBAREAIND_L ON T_EPA_OBJADDSUBAREAIND_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_OBJATTACHAREAINS', 'T_EPA_OBJATTACHAREAINS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_OBJATTACHAREAINS') CREATE INDEX IDX_EPA_OBJATTACHAREAINS ON T_EPA_OBJATTACHAREAINS ( FCREATORID );


 EXEC P_ALTERPK 'PK_EPA_OBJATTACHAREAIND', 'T_EPA_OBJATTACHAREAIND', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_OBJATTACHAREAIND') CREATE INDEX IDX_EPA_OBJATTACHAREAIND ON T_EPA_OBJATTACHAREAIND ( FID );


 EXEC P_ALTERPK 'PK_EPA_OBJATTACHAREAIND_L', 'T_EPA_OBJATTACHAREAIND_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_OBJATTACHAREAIND_L') CREATE INDEX IDX_EPA_OBJATTACHAREAIND_L ON T_EPA_OBJATTACHAREAIND_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_OBJGENAREAINS_L', 'T_EPA_OBJGENAREAINS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_OBJGENAREAINS_L') CREATE INDEX IDX_EPA_OBJGENAREAINS_L ON T_EPA_OBJGENAREAINS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_OBJADDSUBAREAINS_L', 'T_EPA_OBJADDSUBAREAINS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_OBJADDSUBAREAINS_L') CREATE INDEX IDX_EPA_OBJADDSUBAREAINS_L ON T_EPA_OBJADDSUBAREAINS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_EPA_OBJATTACHAREAINS_L', 'T_EPA_OBJATTACHAREAINS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_EPA_OBJATTACHAREAINS_L') CREATE INDEX IDX_EPA_OBJATTACHAREAINS_L ON T_EPA_OBJATTACHAREAINS_L ( FID ,FLOCALEID );



/**End D:\PDM_UPGRADE\PDM1\EPA_constraint.sql **/
