﻿/**Begin D:\PDM_UPGRADE\PDM1\EPA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EPA_GENAREAINSTANCE' AND KSQL_COL_NAME ='FFORCEDTYPE')
 ALTER TABLE T_EPA_GENAREAINSTANCE ADD (FFORCEDTYPE VARCHAR(2) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EPA_ADDSUBAREAINS' AND KSQL_COL_NAME ='FMINAREASCORE')
 ALTER TABLE T_EPA_ADDSUBAREAINS ADD (FMINAREASCORE DECIMAL(19,6) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EPA_ADDSUBAREAINS' AND KSQL_COL_NAME ='FMAXAREASCORE')
 ALTER TABLE T_EPA_ADDSUBAREAINS ADD (FMAXAREASCORE DECIMAL(19,6) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_EPA_ADDSUBAREAINS' AND KSQL_COL_NAME ='FISPARTIN')
 ALTER TABLE T_EPA_ADDSUBAREAINS ADD (FISPARTIN CHAR(1) DEFAULT '0' NOT NULL );

 EXEC p_AlterColumn 'T_EPA_ADDSUBAREAIND_L', 'FINDCTRDESC', 'NVARCHAR(2000)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_EPA_ADDSUBAREAIND_L', 'FEVALCRITERIA', 'NVARCHAR(2000)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ACTEVALOBJ')
 CREATE TABLE T_EPA_ACTEVALOBJ (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPERFILEID BIGINT DEFAULT 0 NOT NULL,
FASSGROUPID BIGINT DEFAULT 0 NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FEMPPOSORGRELID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
FAFFILIATEADMINORGID BIGINT DEFAULT 0 NOT NULL,
FTARGETMODEL VARCHAR(2) DEFAULT ' ' NOT NULL,
FFLOWTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FEVALFLOWID BIGINT DEFAULT 0 NOT NULL,
FISSUMOBJ CHAR(1) DEFAULT '0' NOT NULL,
FPERFORGID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FQUITTIME DATETIME,
FASSESSNODEID BIGINT DEFAULT 0 NOT NULL,
FNODESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FINDICATORTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FASSESSSTAUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FASSIGNUSERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ACTEVALOBJFLOW')
 CREATE TABLE T_EPA_ACTEVALOBJFLOW (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FEVALFLOWDEFID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ACTEVALOBJAREA')
 CREATE TABLE T_EPA_ACTEVALOBJAREA (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FAREAREGID BIGINT DEFAULT 0 NOT NULL,
FAREAINSID BIGINT DEFAULT 0 NOT NULL,
FAREACONFID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_ACTEVALOBJ_L')
 CREATE TABLE T_EPA_ACTEVALOBJ_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_OBJGENINDREQ')
 CREATE TABLE T_EPA_OBJGENINDREQ (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FINDICATORTYPEID BIGINT DEFAULT 0 NOT NULL,
FSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSCORETYPE VARCHAR(2) DEFAULT 'C' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_OBJGENAREAINS')
 CREATE TABLE T_EPA_OBJGENAREAINS (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAREASCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FMINLIMIT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FMAXLIMIT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FFORCEDTYPE VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_OBJGENAREAIND')
 CREATE TABLE T_EPA_OBJGENAREAIND (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FINDCTRNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWEIGHT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FINDCTRSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FINDCTRDESC NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FEVALCRITERIA NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FEVALTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FQUALITYTARGET NVARCHAR(100) DEFAULT ' ' NOT NULL,
FUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINDCTRSOURCE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FQUALITYRES NVARCHAR(100) DEFAULT ' ' NOT NULL,
FEVALSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEVALDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINDCTRNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FISVETO CHAR(1) DEFAULT '0' NOT NULL,
FQUALITYDARE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FQUALITYBASE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPLANFINISHDATE DATETIME,
FFINISHDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREALFINISHDATE DATETIME,
FMINEVALSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FMAXEVALSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISEDITABLE CHAR(1) DEFAULT '0' NOT NULL,
FINDICATORID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_OBJGENAREAIND_L')
 CREATE TABLE T_EPA_OBJGENAREAIND_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FINDCTRNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINDCTRDESC NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FEVALCRITERIA NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FQUALITYTARGET NVARCHAR(100) DEFAULT ' ' NOT NULL,
FUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINDCTRSOURCE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FQUALITYRES NVARCHAR(100) DEFAULT ' ' NOT NULL,
FEVALDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFINISHDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_OBJADDSUBAREAINS')
 CREATE TABLE T_EPA_OBJADDSUBAREAINS (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMINAREASCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FMAXAREASCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISPARTIN CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_OBJADDSUBAREAIND')
 CREATE TABLE T_EPA_OBJADDSUBAREAIND (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FINDCTRNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINDCTRDESC NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FEVALCRITERIA NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FEVALTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FQUALITYTARGET NVARCHAR(100) DEFAULT ' ' NOT NULL,
FUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINDCTRSOURCE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEVALSCORE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FEVALDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINDCTRNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FISVETO CHAR(1) DEFAULT '0' NOT NULL,
FQUALITYDARE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FQUALITYBASE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPLANFINISHDATE DATETIME,
FREALFINISHDATE DATETIME,
FFINISHDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FQUALITYRES NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSUBSCOREMIN DECIMAL(19,6) DEFAULT 0 NOT NULL,
FADDSCOREMAX DECIMAL(19,6) DEFAULT 0 NOT NULL,
FISEDITABLE CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_OBJADDSUBAREAIND_L')
 CREATE TABLE T_EPA_OBJADDSUBAREAIND_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FINDCTRNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINDCTRDESC NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FEVALCRITERIA NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FUNIT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINDCTRSOURCE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEVALDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFINISHDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_OBJATTACHAREAINS')
 CREATE TABLE T_EPA_OBJATTACHAREAINS (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_OBJATTACHAREAIND')
 CREATE TABLE T_EPA_OBJATTACHAREAIND (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FKEYACTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FKEYACTNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FMILESTONE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FYARDSTICK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPLANFINISHDATE DATETIME,
FREALFINISHDATE DATETIME,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPERFINDCTR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FKEYACTTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_OBJATTACHAREAIND_L')
 CREATE TABLE T_EPA_OBJATTACHAREAIND_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FKEYACTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMILESTONE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FYARDSTICK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPERFINDCTR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FKEYACTTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_OBJGENAREAINS_L')
 CREATE TABLE T_EPA_OBJGENAREAINS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_OBJADDSUBAREAINS_L')
 CREATE TABLE T_EPA_OBJADDSUBAREAINS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EPA_OBJATTACHAREAINS_L')
 CREATE TABLE T_EPA_OBJATTACHAREAINS_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\EPA_table.sql **/
